const crypto = require('crypto')
const qs = require('querystring')

const Quadriga = {
  init: function(config) {
    this.baseURL = 'https://api.quadrigacx.com/v2/'
    this.apiKey = config.apiKey
    this.secretKey = config.secretKey
    this.clientId = config.clientId
    const Public = require('./lib/public')
    const Private = require('./lib/private')
    Object.assign(this, Public, Private)
  },
  sign: function(nonce) {
    return crypto.createHmac('sha256', this.secretKey)
    .update(nonce + this.clientId + this.apiKey)
    .digest('hex')
  },
  formatQuery: function(params) {
    return '?' + qs.stringify(params)
  } 
}

module.exports = Quadriga
